<?xml version="1.0" encoding = "Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.00"
	Name="e4py"
	ProjectGUID="{4FC250EE-4697-4C82-B191-B05CC8548F12}"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Release|Win32"
			OutputDirectory=".\..\..\..\builds\win32\lib"
			IntermediateDirectory=".\..\..\..\builds\msvc\e4py\vc7\Release"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="2">
			<Tool
				Name="VCCLCompilerTool"
				InlineFunctionExpansion="1"
				AdditionalIncludeDirectories="..\..\include,..\..\..\main\include,..\..\..\..\Python-2.2.3\Include"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;E4PY_EXPORTS;E4_STATIC"
				StringPooling="TRUE"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="TRUE"
				UsePrecompiledHeader="2"
				PrecompiledHeaderFile=".\..\..\..\builds\msvc\e4py\vc7\Release/e4py.pch"
				AssemblerListingLocation=".\..\..\..\builds\msvc\e4py\vc7\Release/"
				ObjectFile=".\..\..\..\builds\msvc\e4py\vc7\Release/"
				ProgramDataBaseFileName=".\..\..\..\builds\msvc\e4py\vc7\Release/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/MACHINE:I386"
				AdditionalDependencies="odbc32.lib odbccp32.lib e4libvc7.lib"
				OutputFile=".\..\..\..\builds\win32\lib/e4py.dll"
				LinkIncremental="1"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\..\builds\win32\lib,..\..\..\..\Python-2.2.3\libs"
				ModuleDefinitionFile="..\e4py.def"
				ProgramDatabaseFile=".\..\..\..\builds\win32\lib/e4py.pdb"
				ImportLibrary=".\..\..\..\builds\win32\lib/e4py.lib"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="NDEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\..\..\..\builds\win32\lib/e4py.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="mkdir ..\..\..\builds\win32\include
copy ..\..\include\e4py.h ..\..\..\builds\win32\include
"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory=".\..\..\..\builds\win32\lib"
			IntermediateDirectory=".\..\..\..\builds\msvc\e4py\vc7\Debug"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="2">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\include,..\..\..\main\include,..\..\..\..\Python-2.2.3\Include"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;E4PY_EXPORTS;E4_STATIC"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				PrecompiledHeaderFile=".\..\..\..\builds\msvc\e4py\vc7\Debug/e4py.pch"
				AssemblerListingLocation=".\..\..\..\builds\msvc\e4py\vc7\Debug/"
				ObjectFile=".\..\..\..\builds\msvc\e4py\vc7\Debug/"
				ProgramDataBaseFileName=".\..\..\..\builds\msvc\e4py\vc7\Debug/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				DebugInformationFormat="4"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/MACHINE:I386"
				AdditionalDependencies="odbc32.lib odbccp32.lib e4libvc7_d.lib"
				OutputFile="..\..\..\builds\win32\lib\e4py_d.dll"
				LinkIncremental="2"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\..\builds\win32\lib,..\..\..\..\Python-2.2.3\libs"
				ModuleDefinitionFile=".\e4py.def"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile=".\..\..\..\builds\win32\lib/e4py_d.pdb"
				ImportLibrary=".\..\..\..\builds\win32\lib/e4py_d.lib"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="_DEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\..\..\..\builds\win32\lib/e4py.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="mkdir ..\..\..\builds\win32\include
copy ..\..\include\e4py.h ..\..\..\builds\win32\include
"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
			<File
				RelativePath="..\..\src\PyErrors.cpp">
			</File>
			<File
				RelativePath="..\..\src\PyNode.cpp">
			</File>
			<File
				RelativePath="..\..\src\PyNodeVisitor.cpp">
			</File>
			<File
				RelativePath="..\..\src\PyStorage.cpp">
			</File>
			<File
				RelativePath="..\..\src\PyStorageVisitor.cpp">
			</File>
			<File
				RelativePath="..\..\src\PyVertex.cpp">
			</File>
			<File
				RelativePath="..\..\src\PyVertexVisitor.cpp">
			</File>
			<File
				RelativePath="..\..\src\e4py.cpp">
			</File>
			<File
				RelativePath=".\e4py.def">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl">
			<File
				RelativePath="..\..\include\e4py.h">
			</File>
		</Filter>
		<Filter
			Name="Test files"
			Filter="*.py">
			<File
				RelativePath="..\..\test\test1.py">
			</File>
			<File
				RelativePath="..\..\test\test2.py">
			</File>
			<File
				RelativePath="..\..\test\test3.py">
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
		</Filter>
		<File
			RelativePath="..\..\Todo.txt">
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
